package com.goldenwater.slgc.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slgc.domain.Wry;
import com.goldenwater.slgc.mapper.WryMapper;
import com.goldenwater.slgc.service.WryService;

/** 污染源环保统计 业务实现 */
@Service
public class WryServiceImpl implements WryService {
    @Autowired
    private WryMapper wryMapper;

    @Override
    public List<Wry> selectWryList(Wry wry) {
        return wryMapper.selectWryList(wry);
    }

    @Override
    public Wry selectWryById(String id) {
        return wryMapper.selectWryById(id);
    }

    @Override
    public int deleteWryByIds(String[] ids) {
        return wryMapper.deleteWryByIds(ids);
    }

    @Override
    public int insertWry(Wry wry) {
        return wryMapper.insertWry(wry);
    }

    @Override
    public int updateWry(Wry wry) {
        return wryMapper.updateWry(wry);
    }
}
